Package org.h2gis.functions.spatial.convert

# Class ST_ToMultiLine

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.convert.ST_ToMultiLine

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_ToMultiLine extends org.h2gis.api.DeterministicScalarFunction
ST_ToMultiLine constructs a MultiLineString from the given geometry's coordinates. Returns MULTILINESTRING EMPTY for geometries of dimension 0.

Author:
  Erwan Bocher, CNRS, Adam Gouge

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_ToMultiLine()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.MultiLineString`
`createMultiLineString(org.locationtech.jts.geom.Geometry geom)`
Constructs a MultiLineString from the given geometry's coordinates.
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_ToMultiLine

public ST_ToMultiLine()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### createMultiLineString

public static org.locationtech.jts.geom.MultiLineString createMultiLineString(org.locationtech.jts.geom.Geometry geom) throws SQLException
Constructs a MultiLineString from the given geometry's coordinates.

Parameters:
  `geom` - Geometry
Returns:
  A MultiLineString constructed from the given geometry's coordinates
Throws:
  `SQLException`